package com.xxl.job.admin.core.scheduler;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.xxl.job.admin.core.util.I18nUtil;

public enum MisfireStrategyEnum {
  DO_NOTHING(I18nUtil.getString("misfire_strategy_do_nothing")),
  FIRE_ONCE_NOW(I18nUtil.getString("misfire_strategy_fire_once_now"));
  
  private String title;
  
  MisfireStrategyEnum(String title) {
    this.title = title;
  }
  
  public String getTitle() {
    return this.title;
  }
  
  public static com.xxl.job.admin.core.scheduler.MisfireStrategyEnum match(String name, com.xxl.job.admin.core.scheduler.MisfireStrategyEnum defaultItem) {
    for (com.xxl.job.admin.core.scheduler.MisfireStrategyEnum item : values()) {
      if (item.name().equals(name))
        return item; 
    } 
    return defaultItem;
  }
}
